Get the results of the inward consignment summary without product details report as an xlsx file

Body·
application/json
  • actualReceivedDateFrom
    Type: string | nullFormat: date

    The actual received start date in the consignment date range

  • actualReceivedDateTo
    Type: string | nullFormat: date

    The actual received end date in the consignment date range

  • carrierPartnerId
    Type: string | nullFormat: uuid

    The carrier partner to filter by

  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: string | nullFormat: date

    The start date in the consignment date range

  • dateTo
    Type: string | nullFormat: date

    The end date in the consignment date range

  • includeCharges
    Type: boolean

    If the report should include charges. Note: Requires correct charge permission.

  • mode
    Type: integerenum

    Integer numbers.

    values
    • DateEntered = 1
    • ActualReceivedDate = 2
    • NotYetReceived = 3
  • serviceTypeId
    Type: string | nullFormat: uuid

    A service type to filter by

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/inward-consignment-summary/xlsx
curl https://api.consignlyhq.com/v1/reports/inward-consignment-summary/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "mode": "enum (DateEntered = 1, ActualReceivedDate = 2, NotYetReceived = 3)",
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "actualReceivedDateFrom": "date (YYYY-MM-DD)",
  "actualReceivedDateTo": "date (YYYY-MM-DD)",
  "clientPartnerId": null,
  "carrierPartnerId": null,
  "warehouseId": null,
  "serviceTypeId": null,
  "includeCharges": true
}'
No Body